Page MenuHomePhabricator

Eliminate $wgUseMediaWikiUIEverywhere, leaving 'on' behavior
Closed, DeclinedPublic

Description

Eliminate $wgUseMediaWikiUIEverywhere and the associated code forks entirely, leaving the 'on' behavior.

Related Objects

StatusAssignedTask
Declined Mattflaschen-WMF
Declined Mattflaschen-WMF
Declined Mattflaschen-WMF
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedPrtksxna
ResolvedNone
Resolved Mattflaschen-WMF
DeclinedNone
Declined Mattflaschen-WMF
ResolvedNone
ResolvedPrtksxna
Resolvedphuedx
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
DeclinedPrtksxna
OpenNone
ResolvedNone
ResolvedNone
ResolvedNone
Declined Mattflaschen-WMF
ResolvedPrtksxna
ResolvedNone
ResolvedNone
ResolvedPrtksxna
ResolvedNone
DeclinedNone
ResolvedPrtksxna
ResolvedNone
ResolvedNone
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedEBernhardson
InvalidPrtksxna
DeclinedNone
ResolvedPrtksxna
DuplicateNone
DuplicateNone
ResolvedFlorian
ResolvedNone
ResolvedNone
DuplicateNone
ResolvedFlorian
ResolvedPrtksxna
ResolvedFlorian
DuplicateNone
DeclinedNone
DuplicateNone
ResolvedNone
ResolvedNone
Resolved Mattflaschen-WMF
DeclinedNone
DuplicateNone
Resolved Mattflaschen-WMF
DeclinedFlorian
OpenNone
Resolvedmatmarex
Resolvedmatmarex
ResolvedCatrope
ResolvedCatrope
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedMooeypoo
ResolvedSBisson
ResolvedCatrope
InvalidNone
ResolvedMooeypoo
Resolved Mattflaschen-WMF
ResolvedMooeypoo
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedSBisson
ResolvedMooeypoo
Resolved Mattflaschen-WMF
ResolvedCatrope
ResolvedJdforrester-WMF
ResolvedSBisson
DeclinedNone
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedCatrope
ResolvedSBisson
ResolvedCatrope
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedCatrope
ResolvedSBisson
ResolvedJdforrester-WMF
DuplicateNone
ResolvedMooeypoo
ResolvedNone
Resolvedmatmarex

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 5:31 AM
Ltrlg added a subscriber: Ltrlg.May 15 2015, 10:47 AM
Qgil added a subscriber: Qgil.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Legoktm renamed this task from Eliminate wgUseMediaWikiUIEverywhere to Eliminate $wgUseMediaWikiUIEverywhere.May 19 2015, 6:43 AM
Legoktm updated the task description. (Show Details)

Note that these are used on mobile and without the mw ui classes the elements appear unstyled on Special:Preferences, Special:RecentChanges and various other form based layouts. So just plain removing them would be a serious css regression that would have to be consider.

The point of this task is to eliminate the global after setting it to true, keeping the true behavior. But we need to decide what we want to do; see T99827: Meeting: MW UI and OOjs UI/OO UI PHP planning.

Mattflaschen-WMF renamed this task from Eliminate $wgUseMediaWikiUIEverywhere to Eliminate $wgUseMediaWikiUIEverywhere, leaving 'on' behavior..May 20 2015, 8:43 PM
Mattflaschen-WMF renamed this task from Eliminate $wgUseMediaWikiUIEverywhere, leaving 'on' behavior. to Eliminate $wgUseMediaWikiUIEverywhere, leaving 'on' behavior.
Mattflaschen-WMF updated the task description. (Show Details)